ata_id_xfermask
Prev | Chapter 4. libata Library | Next

## Name

ata_id_xfermask — Compute xfermask from the given IDENTIFY data

## Synopsis

`unsigned long ata_id_xfermask (` | const u16 * | id`)`;

## Arguments

`id`

  IDENTIFY data to compute xfer mask from

## Description

Compute the xfermask for this device. This is not as trivial as it seems if we must consider early devices correctly.

## FIXME

pre IDE drive timing (do we care ?).

## LOCKING

None.

## RETURNS

Computed xfermask

Prev | Up | Next
ata_std_dev_select | Home | ata_pio_need_iordy